/* VP6Controller */

#import <Cocoa/Cocoa.h>

@interface VP6Controller : NSObject
{
    IBOutlet id o_audioBitrate;
    IBOutlet id o_customFilter;
    IBOutlet id o_filter;
    IBOutlet id o_keyInt;
    IBOutlet id o_mainWindow;
    IBOutlet id o_maxBitrate;
    IBOutlet id o_maxQuantizer;
    IBOutlet id o_minBitrate;
    IBOutlet id o_minQuantizer;
    IBOutlet id o_mp3Mode;
    IBOutlet id o_pass;
    IBOutlet id o_preset;
    IBOutlet id o_presetFilter;
    IBOutlet id o_sampleRate;
    IBOutlet id o_text1;
    IBOutlet id o_text2;
    IBOutlet id o_text3;
    IBOutlet id o_text4;
    IBOutlet id o_variability;
    IBOutlet id o_videoBitrate;
	IBOutlet id o_removePreset;
	IBOutlet id o_presetDialog;
	IBOutlet id o_presetName;
	IBOutlet id o_log;
	IBOutlet id o_progress;
	IBOutlet id o_logWindow;
	IBOutlet id o_startButton;
	IBOutlet id o_inputFile;
	IBOutlet id o_outputFile;
	IBOutlet id o_urlStr;
	IBOutlet id o_errorPanel;
	IBOutlet id o_status;
	IBOutlet id o_bps;
	NSMutableArray *presetArr;
	BOOL nextPass;
	BOOL isEncoding;
	BOOL launched;
	NSTask *task;
	NSLock *lock;
	NSDictionary *attributeDic;
}
- (IBAction)filterChanged:(id)sender;
- (IBAction)mp3ModeChanged:(id)sender;
- (IBAction)passChanged:(id)sender;
- (IBAction)presetChanged:(id)sender;
- (IBAction)addPreset:(id)sender;
- (IBAction)removePreset:(id)sender;
- (IBAction)updatePreset:(id)sender;
- (IBAction)endEdit:(id)sender;
- (IBAction)beginEncode:(id)sender;
- (IBAction)chooseInputFile:(id)sender;
- (IBAction)chooseOutputFile:(id)sender;
- (IBAction)showLog:(id)sender;
- (void)setInputFile:(NSString *)path;
- (BOOL)isEncoding;
@end

@interface NSAttributedString (Hyperlink)
+ (id)hyperlinkFromString:(NSString*)inString withURL:(NSURL*)aURL alignment:(NSTextAlignment)alignment;
@end
